
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=10" />
        <meta name="format-detection" content="telephone=no" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        @{import('meta', 'head', 'favicon.ico')}
        <meta name="robots" content="all,follow" />
        <link href="../../../css/https-font.css" rel="stylesheet" />
        <link href="../../../css/Site.css" rel="stylesheet" />
        <link href="../../../css/bootstrap.css" rel="stylesheet" />
        <link href="../../../css/googlefont.css" rel="stylesheet" />
        <link href="../../../css/https_strap.css" rel="stylesheet" />
        <link href="../../../css/css/all.css" rel="stylesheet" />
        <link href="../../../css/fontawesome.css" rel="stylesheet" />
        <link href="../../../css/brands.css" rel="stylesheet" />
        <link href="../../../css/solid.css" rel="stylesheet" />
        @{section('header')}
        <link  href="../../../css/StyleSheet_profile.css" rel="stylesheet" /><!--Css Cod-->
        <link  href="../../../css/panel.css" rel="stylesheet" /><!--Css Cod-->
        <link  href="../../../css/ticket.css" rel="stylesheet" /><!--Css Cod-->
        <link  href="../../../css/notifications.css" rel="stylesheet" /><!--Css Cod-->
        <script src="../../../script/jquery-1.10.2.min.js"></script>
		<script src="../../../script/Https-strap.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

			 @{section('imgCropHeader')}
			 @{section('imgCropFooter')}
            
    </head>
    <body style="overflow-x:hidden;">

        <div class="Hrow Hpannel-dashboard">
            <div id="btn-cover-back" class="back-cover"></div>
            <div class="HheadMenuFix">
                <div class="Hrow Hwhite" >
                    <div class="wellcome">
                       <span class="img" style="background-image:url('/images/users/user@{!repository.user._id}_1.jpg') , url('/images/users/default.jpg');"></span>
                       <span class="title">@{!resource('wellcome1')}&nbsp; @{!repository.user.name}&nbsp;@{!repository.user.fam} &nbsp;@{!resource('wellcome')} </span>
                    </div>
                    
                       <div class="Hfloat-L">
                           
                            <a href="/" class="fas fa-home icon HmarR-10" style="font-size:20px;" title="صفحه اصلی سایت" data-color="#fff"></a>
            
                            <a class="fas fa-power-off HmarR-10 pannel-logout" title="خروج" href="/api/logout" data-color="#fff"></a>
                       </div>

        
                  </div>
            </div>
            <div class="HrightMenuFix trans0_25">
                <span id="RightMenuButton" class="fas fa-caret-right opened"></span>
                <ul class="menu HScroll-1">
                    <li><a href="/api/"><span class=" fas fa-laptop-house icon"></span>صفحه اصلی پنل</a></li>
                    <li class="hasChildNodes"><span class="fas fa-user-cog icon"></span> اطلاعات شخصی </li>
                    <ul class="childNode">
                        @{if repository.user.role=="administrator" || repository.user.role=="admin"}
                        <li><a href="/user/update/@{repository.user._id}">- ویرایش اطلاعات</a></li>
                        @{else}
                        <li><a href="/user/update">- ویرایش اطلاعات</a></li>
                        @{fi}
                        <li><a href="/user/change/password">- تغییر رمز </a></li>
                        
                </ul>
                @{if repository.user.role=="administrator" || repository.user.role=="admin"}  
                    <li class="hasChildNodes"><span class="fas fa-users icon"></span> مدیریت کاربران </li>
                    <ul class="childNode">
                        <li><a href="/user/list/1">- لیست کاربران</a></li>
                        <li><a href="/user/insert">- افزودن کاربر</a></li>
                    </ul>

                    <li><a href="/api/icon"><span class="fab fa-ioxhost icon"></span> ایکن </a></li>
                    <li><a href="/api/slider"><span class="far fa-images icon"></span> اسلایدر </a></li>
                    <li><a href="/api/contacts"><span class="fas fa-phone icon"></span>تماس با ما</a></li>
                @{fi}
                </ul>
                </div>
            <div class="Hbody trans0_25"> 
                @{body}
            </div>
        </div>
        <div id="Hnotification"></div>
        <div id="loader"><div>@{!resource(repository.lang,'plzWait')} &nbsp;<span class="fas fa-ellipsis-v fa-pulse"></span></div></div>
@{section('imgCropFooter')}
@{section('footer')}
<script src="../../../script/jsResource.js"></script>

    <script>
        $(document).ready(function(){
		  
		    $("input").change(function(){
		         
		          const p2e = $(this).val().replace(/[۰-۹]/g, d => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d));
		          $(this).val(p2e);
		    }); 
		    
		    
		    var windowWidth=window.innerWidth; 

		    $(window).resize(function(){
		
                    windowWidth=window.innerWidth;  
                    if(windowWidth>=767){
                        if($("#RightMenuButton").hasClass("opened")){
                            
                        }else{
                            $("#RightMenuButton").trigger('click');
                        }
                    }else{
                        
                        if($("#RightMenuButton").hasClass("opened")){
                            
                            $("#RightMenuButton").trigger('click');
                        }
                    }
            });           
		    
			$("#RightMenuButton").click(function(){
	
				if($(this).hasClass("opened")){
					$(this).parent().addClass("HrightMenuFix_CLOSE");
					$(this).removeClass("opened");
					$(this).parent().siblings(".Hbody").addClass("HbodyFull");
					$(this).removeClass("fa-caret-right");
					$(this).addClass("fa-caret-left");
					$("#btn-cover-back").removeClass('back-cover');
				}else{
					$(this).parent().removeClass("HrightMenuFix_CLOSE");
					$(this).addClass("opened");
					$(this).parent().siblings(".Hbody").removeClass("HbodyFull");
					$(this).addClass("fa-caret-right");
					$(this).removeClass("fa-caret-left");
					$("#btn-cover-back").addClass('back-cover');
				}
			});

			$(".Hpannel-dashboard>.back-cover").click(function(){
				$(this).siblings(".HrightMenuFix").addClass("HrightMenuFix_CLOSE");
				$("#RightMenuButton").removeClass("opened");
				$(this).siblings(".Hbody").addClass("HbodyFull");
				$("#RightMenuButton").removeClass("fa-caret-right");
				$("#RightMenuButton").addClass("fa-caret-left");
				$(this).removeClass('back-cover');
			});
			

			$(".hasChildNodes").click(function(){
				var childNode=$(this).next();
				if(childNode.hasClass("opened")){
					childNode.removeClass("opened");
					$(this).removeClass("parentOpened");
				}else{
					childNode.addClass("opened");
					$(this).addClass("parentOpened");
				}
			});



            if(windowWidth>=767){

                if($("#RightMenuButton").hasClass("opened")){
                            
                }else{
                        $("#RightMenuButton").trigger('click');
                }
            }else{
                if($("#RightMenuButton").hasClass("opened")){
                        $("#RightMenuButton").trigger('click');
                }
            }


});

    </script>


    </body>
</html>